/* 
   Main file
   --------------------------------------------------------------------
   VCHE NC - Virtual Console Hex Editor NCURSES version

   Copyright (C) 1998, 1999 Diego Javier Grigna <diego@grigna.com>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "common.h"

int fd;            /* File descriptor of the file we are viewing/editing */
struct stat stbuf; /* stat structure of that file                        */

static void usage( char *progname);

int main( int argc, char *argv[])
{
 WINDOW *w;
 char *progname;

 progname = *argv++;

 if( argc < 2) {
     usage( progname);
     return 1;
 }
 
 init();

 ll_file_init();

 w = nc_show_message( " Loading filelist... ", 0);

 argc--;

 while( argc-- > 0)
        ll_file_insert( *argv++);

 delwin( w);

 if( !ll_file_qty) {
     fprintf( stderr, "No input files!\n");
     do_exit( 1);
 }

 ll_file_current     = ll_file_head;
 ll_file_browse_top  = ll_file_head;
 ll_file_browse_curr = ll_file_head;
 ll_file_browse_pos  = 0;

 hex_mainloop( flag_edit);

 return 0;
}

static void usage( char *progname)
{
 fprintf( stderr, "\nVCHE-NC (Virtual Console Hex Editor - NCURSES Version) Release %s\n\nUsage:\n", VCHE_VERSION);
 fprintf( stderr, "\t%s [filename ..]\n\n", progname);
}

