/*
   Terminal attributes functions
   --------------------------------------------------------------------
   VCHE NC - Virtual Console Hex Editor NCURSES version

   Copyright (C) 1998, 1999 Diego Javier Grigna <diego@grigna.com>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "common.h"

void term_init( void)
{
 /*
  * Select null mapping - straight to character ROM
  *
  * See: man 4 console_codes
  *
  */

 printf( "\033(U");
}

void term_beep( void)
{
 if( flag_bell) {
     beep();
 }
}

void term_unhide_cursor( void)
{
 curs_set( 1); /* Cursor normal    */
}

void term_hide_cursor( void)
{
 curs_set( 0); /* Cursor invisible */
}

void term_goto( int x, int y)
{
 move( y, x);
 refresh();
}

void term_wgoto( WINDOW *w, int x, int y)
{
 wmove( w, y, x);
 wrefresh( w);
}

/*

  If you don't know how to find more information on these "\033..."
  stuff, read the kernel sources for linux 2.x.x:

  linux/drivers/char/console.c
  linux/drivers/char/consolemap.c
  linux/drivers/char/consolemap.h
  ....

  man 4 console_codes

  and the sources of these packages:

  ncurses.x.x.x.tar.gz
  termcap.tar.gz (the /etc/termcap database, the |linux| entry)

*/

